<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>balls animation</title>
</head>

<style>
    #spinner {
        position: relative;
        margin: 230px auto;
        height: 80px;
        width: 50px;
        background: transparent;
        animation: myanim-box 2s ease-in-out alternate infinite;
    }
    
    #spinner :nth-child(1) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 10px;
        left: 10px;
        border-radius: 50%;
        background-color: rgb(67, 175, 24);
        animation: myanim-childs-2 5s ease-in alternate-reverse infinite;
    }
    
    #spinner :nth-child(2) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 60px;
        left: 30px;
        border-radius: 50%;
        background-color: rgb(236, 38, 220);
        animation: myanim-childs-0 3s ease-in alternate-reverse infinite;
    }
    
    #spinner :nth-child(3) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 40px;
        left: 30px;
        border-radius: 50%;
        background-color: rgb(236, 28, 91);
        animation: myanim-childs-1 2s ease-in alternate-reverse infinite;
    }
    
    #spinner :nth-child(4) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 20px;
        left: 30px;
        border-radius: 50%;
        background-color: rgb(67, 175, 24);
        animation: myanim-childs-2 5s ease-in alternate-reverse infinite;
    }
    
    #spinner :nth-child(5) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 20px;
        left: 20px;
        border-radius: 50%;
        background-color: rgb(211, 208, 13);
        animation: myanim-childs-0 3s ease-in alternate-reverse infinite;
    }
    
    #spinner :nth-child(6) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 50px;
        left: 30px;
        border-radius: 50%;
        background-color: rgb(224, 84, 19);
        animation: myanim-childs-2 2s ease-in alternate-reverse infinite;
    }
    
    #spinner :nth-child(7) {
        position: absolute;
        height: 10px;
        width: 10px;
        top: 64px;
        left: 18px;
        border-radius: 50%;
        background-color: rgb(126, 9, 150);
        animation: myanim-childs-1 5s ease-in alternate-reverse infinite;
    }
    
    @keyframes myanim-box {
        0% {
            transform: rotate(90deg);
        }
        50% {
            transform: rotate(180deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }
    /* here i put the animation random for each child */
    
    @keyframes myanim-childs-0 {
        0% {
            top: 50%;
            left: 10px;
        }
        50% {
            top: 75%;
            left: 20px;
            background: linear-gradient(to right, rgb(255, 119, 214), rgb(247, 244, 80));
        }
        100% {
            top: 100%;
            left: 32px;
            background: linear-gradient(to left, rgb(57, 233, 110), rgb(171, 231, 93));
        }
    }
    
    @keyframes myanim-childs-1 {
        0% {
            top: 1%;
            left: 50%;
        }
        50% {
            top: 40%;
            left: 30%;
            background: linear-gradient(to left, rgb(57, 233, 110), rgb(248, 105, 164));
        }
        100% {
            top: 70%;
            left: 80%;
            background: linear-gradient(to right, rgb(57, 233, 110), rgb(110, 178, 241));
        }
    }
    
    @keyframes myanim-childs-2 {
        0% {
            top: 10%;
            left: 20%;
        }
        50% {
            top: 40%;
            left: 0%;
            background: linear-gradient(to right, rgb(40, 193, 231), rgb(236, 84, 241));
        }
        100% {
            top: 60%;
            left: 60%;
            background: linear-gradient(to left, rgb(40, 193, 231), rgb(236, 84, 241));
        }
    }
</style>

<body>
    <div id="spinner">
        <span></span>
        <span></span>
        <span></span>
        <span></span>
        <span></span>
        <span></span>
        <span></span>
    </div>
</body>

</html>